Verified Commit f04728a8 authored by mathieui's avatar mathieui

Rework the OTR plugin

- remove the allow_v1 and allow_v2 options (allow_v1 will now be always
  false, as no one would want it to true, and allow_v2 will always be
  true, which should also be what everyone wants until potr supports
  OTRv3)
- add a “require_encryption” configuration option
- move all the plugin-generated messages to module level, to improve
  readability
- split up some parts and add comments
parent 8e575de5
This diff is collapsed.
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment